%define major   0
%define devname %mklibname bellesip -d
%define libname %mklibname bellesip %{major}

%global __requires_exclude devel\\(libantlr3c\\)|devel\\(libantlr3c\\(64bit\\)\\)

Name:           belle-sip
Version:        1.4.2
Release:        %mkrel 1
Summary:        Linphone sip stack

Group:          Communications/Telephony
License:        GPLv2
URL:            http://www.belle-sip.org
Source0:        http://download.savannah.gnu.org/releases/linphone/belle-sip/%{name}-%{version}.tar.gz
Source100:      antlr-3.4-complete.jar

BuildRequires:  antlr3-C-devel
BuildRequires:  polarssl-devel
BuildRequires:  java

%description
Belle-sip is an object oriented c written SIP stack used by Linphone.

%package -n     %{libname}
Summary:        The belle-sip library, a part of belle-sip
Group:          System/Libraries
Requires:       antlr3-C
Requires:       polarssl

%description -n %{libname}
The belle-sip library, a part of belle-sip.

%package -n     %{devname}
Summary:        Development libraries for belle-sip
Group:          System/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Requires:       antlr3-C-devel
Requires:       polarssl-devel

%description -n %{devname}
Libraries and headers required to develop software with belle-sip.

%prep
cp -f %{SOURCE100} antlr.jar
%setup -q
sed -i \
    -e "s#antlr_java_prefixes=.*#antlr_java_prefixes=%{_builddir}#" \
    -e "s:-Werror::g" \
    configure{,.ac}

%build
autoreconf -fi
%configure2_5x \
              --disable-static \
              --docdir=%{_docdir}
%make

%install
%makeinstall_std

# remove static libraries
find %{buildroot} -name '*.la' -delete

%files -n %{devname}
%{_includedir}/belle-sip
%{_libdir}/libbellesip.so
%{_libdir}/pkgconfig/belle-sip.pc

%files -n %{libname}
%{_libdir}/libbellesip.so.%{major}*


%changelog
* Fri Jan 15 2016 luigiwalser <luigiwalser> 1.4.2-1.mga5
+ Revision: 923202
- 1.4.2
- rebuild for polarssl/mbedtls

* Thu Apr 30 2015 oden <oden> 1.4.0-1.mga5
+ Revision: 820859
- 1.4.0

* Sat Jan 17 2015 alexl <alexl> 1.3.0-2.mga5
+ Revision: 811105
- cleanup spec
- exclude the "devel(libantlr3c(64bit))" too

* Fri Jan 16 2015 alexl <alexl> 1.3.0-1.mga5
+ Revision: 810994
- used antlr-3.4 instead of antlr-3.5.2, because of regress in new antlr
- imported package belle-sip

